/* $Id: detmon.h,v 1.3 2013-01-25 16:08:41 jtaylor Exp $
 *
 * This file is part of the irplib package
 * Copyright (C) 2002, 2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1307 USA
 */

/*
 * $Author: jtaylor $
 * $Date: 2013-01-25 16:08:41 $
 * $Revision: 1.3 $
 * $Name: not supported by cvs2svn $
 */

#ifndef IRPLIB_DETMON_DARKRON_H
#define IRPLIB_DETMON_DARKRON_H

/*----------------------------------------------------------------------------
                                   Includes
 ----------------------------------------------------------------------------*/

#include <cpl.h>

/*----------------------------------------------------------------------------
                                   Prototypes
 ----------------------------------------------------------------------------*/


#define NIR TRUE
#define OPT FALSE

#define DETMON_QC_DARK    "ESO QC DARK"
#define DETMON_QC_DARK_C  "Dark level [ADU]"

#define DETMON_QC_DARK_STDEV    "ESO QC DARK STDEV"
#define DETMON_QC_DARK_STDEV_C  "Dark stdev level [ADU]"


#define detmon_dark_get_description(RECIPE_NAME, PIPE_NAME,         \
                                              DETMON_DARK_RAW)             \
    RECIPE_NAME " -- " PIPE_NAME " Dark Recipe.\n"            \
    "The files listed in the Set Of Frames must be tagged:\n"                  \
    "raw-file.fits  "DETMON_DARK_RAW"\n"

/*----------------------------------------------------------------------------
                             Defines
 ----------------------------------------------------------------------------*/

cpl_error_code
detmon_darkron_fill_parlist_default(cpl_parameterlist *,
					   const char        *,
					   const char        *);



cpl_error_code
detmon_dark(cpl_frameset      *,
                   const cpl_parameterlist *,
                   const char        *,
                   const char        *,
                   const char        *,
                   const char        *,
                   const char        *,
                   const char        *,
                   const char        *,
                   int              (*)(const cpl_frame *,
                                        const cpl_frame *));

cpl_error_code
detmon_fill_dark_params(cpl_parameterlist * parlist,
                               const char *recipe_name,
                               const char *pipeline_name,
                               const char * ron_method,
                               const char * dsnu_method,
                               const char * optnir,
                               int exts);

int
detmon_fill_dark_params_default(cpl_parameterlist * parlist,
                                       const char *recipe_name,
                                       const char *pipeline_name);

int
detmon_compare_dits(const cpl_frame *, const cpl_frame *);



#endif
